@echo off
setlocal
set "SCRIPT_DIR=%~dp0"
if "%SCRIPT_DIR:~-1%"=="\" set "SCRIPT_DIR=%SCRIPT_DIR:~0,-1%"
for %%F in ("%SCRIPT_DIR%\*.bin") do set "FIRMWARE=%%F"
echo Firmware file: %FIRMWARE%
"%SCRIPT_DIR%\ATLink_Console.exe" ^
    -connect ^
    -p --dfap --depp ^
    -e --sec 0-255 ^
    -d --a 08000000 --fn "%FIRMWARE%" --v ^
    -p --eepp 0-255

pause
